FROM mcr.microsoft.com/dotnet/core/aspnet:2.2-stretch-slim AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:2.2-stretch AS build
WORKDIR /src
COPY ["Services/TransactionHeaders/TransactionHeaders.API/TransactionHeaders.API.csproj", "Services/TransactionHeaders/TransactionHeaders.API/"]
RUN dotnet restore "Services/TransactionHeaders/TransactionHeaders.API/TransactionHeaders.API.csproj"
COPY . .
WORKDIR "/src/Services/TransactionHeaders/TransactionHeaders.API"
RUN dotnet build "TransactionHeaders.API.csproj" -c Release -o /app

FROM build AS publish
RUN dotnet publish "TransactionHeaders.API.csproj" -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "TransactionHeaders.API.dll"]
